# Class CIM_UnixThread
extends CIM_Thread

Threads represent the ability to execute units of a Process or task in parallel. A UnixThread inherits from the superclass, CIM_Thread, which is weak to the Process. The values used are defined in sched.h and psched.h.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Thread
|
+--CIM_UnixThread

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Threads represent the ability to execute units of a Process or task in parallel. A UnixThread inherits from the superclass, CIM_Thread, which is weak to the Process. The values used are defined in sched.h and psched.h.
UMLPackagePath | string | CIM::System::Unix
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CancelState | uint16 |
Description | string | Indicates the thread's cancelability state.
ValueMap | string | 0, 2, 3
Values | string | Unknown, PTHREAD_CANCEL_ENABLE, PTHREAD_CANCEL_DISABLE
CancelType | uint16 |
Description | string | Indicates the thread's cancelability type.
ValueMap | string | 0, 2, 3
Values | string | Unknown, PTHREAD_CANCEL_DEFERRED, PTHREAD_CANCEL_ASYNCHRONOUS
ConcurrencyLevel | uint64 |
Description | string | Indicates the thread's concurrency level.
ContentionScope | uint16 |
Description | string | Indicates the contention scope of the thread.
ValueMap | string | 0, 2, 3
Values | string | Unknown, PTHREAD_SCOPE_SYSTEM, PTHREAD_SCOPE_PROCESS
DetachState | uint16 |
Description | string | Indicates the creation state of the thread.
ValueMap | string | 0, 2, 3
Values | string | Unknown, PTHREAD_CREATE_DETACHED, PTHREAD_CREATE_JOINABLE
GuardSize | string |
Description | string | Indicates the size of the guard area for a created thread's stack.
InheritSched | uint16 |
Description | string | Indicates how the scheduling attributes are to be set.
ValueMap | string | 0, 2, 3
Values | string | Unknown, PTHREAD_INHERIT_SCHED, PTHREAD_EXPLICIT_SCHED
OtherSchedPolicy | string |
Description | string | Indicates the thread's scheduling policy when SchedPolicy is set to "Other".
ModelCorrespondence | string | CIM_UnixThread.SchedPolicy
SchedPolicy | uint16 |
Description | string | Indicates the thread's scheduling policy. Set to "Other" when using OtherSchedPolicy to specifiy additional values. "Other" represents SCHED_OTHER as defined in sched.h.
ModelCorrespondence | string | CIM_UnixThread.OtherSchedPolicy
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, SCHED_FIFO, SCHED_RR
StackSize | string |
Description | string | Indicates the size of storage to be used for the thread's stack.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Thread
CSCreationClassName | string | CIM_Thread
CSName | string | CIM_Thread
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ExecutionState | uint16 | CIM_Thread
Handle | string | CIM_Thread
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
KernelModeTime | uint64 | CIM_Thread
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OSCreationClassName | string | CIM_Thread
OSName | string | CIM_Thread
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Priority | uint32 | CIM_Thread
ProcessCreationClassName | string | CIM_Thread
ProcessHandle | string | CIM_Thread
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
UserModeTime | uint64 | CIM_Thread
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement